const app = getApp()
import {
	Base
} from '../../../utils/base.js';
const base = new Base()
var qiniuUploader = require("../../../utils/qiniuUploader");

Page({
	data: {
		lesson_id: '',
		type: '', // 查看还是修改
		videoBox: [],
		videoShow: true,
		imgBox: [],
		imgShow: true,
		fileList: [],
	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function (options) {
		this.setData({
			lesson_id: options.lesson_id ?  options.lesson_id : '',
			type: options.type ? options.type : '',
		})
		if (this.data.lesson_id) {
			this.getDetail()
		}
	},
	getDetail() {
		let params = {
			url: 'coach/getmoment',
			data: {
				lesson_id: this.data.lesson_id
			},
			callback:(data)=>{
				console.log(JSON.parse(data.class_moment))
				let class_moment = JSON.parse(data.class_moment)
				let arr1 = [], arr2 = []
				for(var i=0; i< class_moment.length; i++) {
					if (class_moment[i].type == 'video') {
						arr1.push(class_moment[i])
					} else {
						arr2.push(class_moment[i])
					}
				}
				this.setData({
					videoBox: arr1,
					imgBox: arr2
				})
				console.log(arr1)
				console.log(arr2)
				console.log(data)
			}
		}
		base.newRequest(params)
	},
	// 上传视频
	chooseVideo: function () {
		base.initQiniu();
		var that = this
		var videos = this.data.videoBox
		wx.chooseVideo({
			sourceType: ['album', 'camera'],
			camera: 'back',
			compressed: false,
			success(res) {
				console.log(res)
				var tempFilePaths = [res.tempFilePath]
				if (Math.round(res.size / 1024 / 1024) < 25) {
					qiniuUploader.upload(0, tempFilePaths, (res) => {
						console.log(res)
						let option = {
							type: 'video',
							url: res[0].imageURL
						}
						videos.push(option)
						that.setData({
							videoBox: videos,
							videoShow: false
						});
						console.log(that.data.videoBox)
					})
				} else {
					base.toast('视频大小不能超过25兆，请重新选择')
				}
			},
			fail() {
				base.toast('上传视频失败，请重新上传')
			}
		})
	},
	// 删除视频
	deleteVideo: function (e) {
		var videos = this.data.videoBox
		var index = e.currentTarget.dataset.index
		videos.splice(index, 1)
		this.setData({
			videoShow: true,
			videoBox: videos,
		})
	},

	// 上传图片
	chooseImg: function (e) {
		base.initQiniu();
		var that = this
		var imgs = this.data.imgBox
		wx.chooseImage({
			count: 9 - that.data.imgBox.length, // 默认9
			sizeType: ['compressed'], // 可以指定是原图还是压缩图，默认二者都有
			sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
			success: function (res) {
				var tempFilePaths = res.tempFilePaths
				qiniuUploader.upload(0, tempFilePaths, (res) => {
					for (var i = 0; i < res.length; i++) {
						let option = {
							type: 'img',
							url: res[i].imageURL
						}
						imgs.push(option)
					}
					that.setData({
						imgBox: imgs
					});
					console.log(that.data.imgBox)
				})
			},
			fail() {
				base.toast('上传失败，请重试')
			}
		})
	},
	// 删除图片
	deleteImg: function (e) {
		var imgs = this.data.imgBox
		var index = e.currentTarget.dataset.index
		imgs.splice(index, 1)
		this.setData({
			imgBox: imgs
		})
	},
	// 预览图片
	previewImg: function (e) {
		var index = e.currentTarget.dataset.index
		var imgs = this.data.imgBox
		wx.previewImage({
			current: imgs[index].url,
			urls: this.data.imgBox
		})
	},
	save() {
		if (this.data.videoBox.length == 0) {
			base.toast('请上传视频')
			return
		}
		if (this.data.imgBox.length == 0) {
			base.toast('请上传图片')
			return
		}
		let arr = this.data.videoBox.concat(this.data.imgBox)
		console.log(arr)
		let params = {
			url: 'coach/moment',
			type: 'POST',
			data: {
				// coach_id: '5',
				coach_id : app.globalData.coach_id,
				lesson_id: this.data.lesson_id,
				class_moment: JSON.stringify(arr)
			},
			callback:(data)=>{
				base.toast('提交成功')
			}
		}
		base.newRequest(params)
	}
})