const app = getApp()
import { Base } from '../../../utils/base.js';
const base = new Base()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    chooseBadge: true,
    imgBox: [],
    scoreArr: [],
    idlist: [],
    scorelist: []
  },

  onLoad: function (options) {
    this.setData({
      child_id: options.child_id,
      class_id: options.class_id,
      class_single_id: options.class_single_id,
      course_id : options.course_id
    })
    this.getComment()
  },

  onShow: function () {
    this.setData({
      imgBox: this.data.arr ? this.data.arr : [],
      badge_ids: this.data.badge_ids ? this.data.badge_ids : []
    })
  },

  inputs : function (e) {
    this.setData({
      value: e.detail.value
    })
    console.log(this.data.value)
  },

  onDrag(event) {
    let index = event.currentTarget.dataset.index
    this.data.scoreArr[index].score = event.detail.value
    this.setData({
      scoreArr: this.data.scoreArr
    });
  },
  gobadgelist: function (e) {
    var model = JSON.stringify(this.data.imgBox)
    wx.navigateTo({
      url: '../../index/badgelist/badgelist?listData=' + model,
    })
  },
  //删除徽章
  deleteBadge: function (e) {
    var imgs = this.data.imgBox
    var index = e.currentTarget.dataset.index
    // console.log(index)
    imgs.splice(index, 1)
    this.setData({
      imgBox: imgs
    })
  },

  // 教练对孩子运动评价，获取课程评价维度
  getComment: function () {
    let params = {
      url: 'coach/comment_norm',
      data: {
        course_id: this.data.course_id,
      },
      callback: (data) => {
        console.log(data)
        var arr = []
        for (var i = 0; i < data.length; i++) {
          let options = {
            id: data[i].id,
            name: data[i].name,
            score: 0
          }
          arr.push(options)
        }
        console.log(arr)
        this.setData({
          scoreArr: arr,
        })
      }
    }
    base.newRequest(params)
  },
  // 保存
  save: function () {
    let Score = true
    this.data.scoreArr.map((e) => {
      if(e.score == 0){
        base.toast('运动表现分值不能为0')
        Score = false;
        return
      }
    });
    if (!Score) return

    if (this.data.value =='') {
      base.toast('教练评语不能为空')
        return
    }
    let obj = {};
    this.data.scoreArr.map((e) => {
      obj[e.id] = e.score;
    });
    let params = {
      url: 'badges/add',
      data: {
        user_child_id: this.data.child_id,
        badge_ids: this.data.badge_ids.toString(),
        class_id: this.data.class_id,
        class_single_id: this.data.class_single_id,
        coach_id: app.globalData.coach_id,
      },
      type: 'POST',
      callback: (data) => {
        let params = {
          url: 'coach/comment_save',
          data: {
            coach_id: app.globalData.coach_id,
            lesson_id: this.data.class_single_id,
            child_id: this.data.child_id,
            comment_score: JSON.stringify(obj),
            comment: this.data.value
          },
          type: 'POST',
          callback: (data) => {
            base.toast('保存成功')
            base.goBack(2)
          }
        }
        base.newRequest(params)
      }
    }
    base.newRequest(params)
  }
})